#ifndef HEADER_H
#define HEADER_H

#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>

#include "utils.h"
#include "bitmanip.h"
#include "interrupt.h"
#include "timer.h"

//
// PROTOTYPES
//
// main.c
void print_binary(int value);
void increment_int();
void decrement_int();
void increment_led();
void decrement_led();
void on_press(int bit, void (*action)(void));

//
// MACROS
//
#define MAX			15
#define MIN			0

#endif // HEADER_H